BETA

Dooble: Web browser για ιδιωτικότητα με κρυπτογραφία στα δεδομένα περιήγησης

Εικόνα Alexandros

dooble3d

O Dooble, είναι ένας Web browser, διαθέσιμος για Linux, Windows, OSX, σχεδιασμένος για να προσφέρει ιδιωτικότητα, κατά την περιήγησή μας στο διαδίκτυο. Έρχεται με έναν ασφαλή P2P email client και η rendering μηχανή του βασίζεται στο WebKit. Λαμβάνοντας υπόψη πως την ίδια χρησιμοποιεί και το OSX, στον Safari browser, η εμφάνιση των ιστοσελίδων θα είναι αντίστοιχη και στους δυο browsers.
Μολις τον τρέξετε για πρώτη φορά, θα σας ζητηθεί να εισάγετε μια συνθηματική φράση για να εξασφαλιστεί η ασφαλής περιήγησή σας. Αυτή η κωδική φράση θα πρέπει να αποτελείται τουλάχιστον από 16 χαρακτήρες ή δεν θα γίνει δεκτή.
Από τη στιγμή που θα γίνει το set up στο ιστορικό του Internet browsing σας, τα cookies, cache, σελιδοδείκτες, favicons και downloads θα είναι κρυπτογραφημένα με AES 256 και SHA512 αλγόριθμους από προεπιλογή.

Screenshot-Dooble Web Browser: Reminder

Η καρτέλα ασφαλείας (security tab), σας επιτρέπει να επιλέξετε πάντα HTTPS για δικτυακούς τόπους, όταν είναι διαθέσιμο, να δείτε τη διεύθυνση IP του δικτυακού τόπου, απόκρυψη του referrer σας, ρύθμιση σε Do Not Track προκειμενου να μη γίνεται παρακολούθηση (αν και αυτό καταστρατηγείται σχεδόν παντού), να μη γίνονται ανακατευθύνσεις και αυτόματη σαρώση των cookies κάθε ώρα. Δημιουργία νέου προφίλ γίνεται με GnuPG κλειδί κρυπτογράφησης, από τις Ρυθμίσεις του και μπορείτε να έχετε διαφορετικά προφίλ περιήγησης, με κάθε ένα από αυτά να περιέχει τις δικές του προτιμήσεις.

Screenshot-OSArena — Opensource Arena - Dooble Web Browser-1

Με αυτό το πρόγραμμα περιήγησης θα είστε σε θέση να έχετε πρόσβαση σε I2P ιστοσελίδες, με ανώνυμη κίνηση δρομολόγησης του δικτύου (network routing traffic), όπως ακριβώς κάνει και το Tor. Τα I2P ανώνυμα hosted websites, είναι γνωστά από την επέκταση .i2p και ονομάζονται eepsites, δεν είναι προσβάσιμα μέσω του κανονικού διαδικτύου, χωρίς την εγκατάσταση ειδικού λογισμικού anonymizing πρώτα. Ο Dooble browser, στη γραμμή εργαλείων περιλαμβάνει εναλλακτικές μηχανές αναζήτησης όπως τα: Blekko, Yacy και WolframAlpha.

Screenshot-OSArena — Opensource Arena - Dooble Web Browser

Οι ρυθμίσεις του υποστηρίζουν proxy ρυθμίσεις για HTTP και FTP client, μα και ολοκληρωμένη υποστήριξη για Socks proxy, ενώ το panel των ρυθμίσεών του, είναι γενικότερα, απλό και εύχρηστο:

Screenshot-Dooble Web Browser: SettingsScreenshot-Dooble Web Browser: Settings-1

Ο Dooble, έχει ένα καθαρό και απλό interface, χρειάζεται 80MB ελεύθερο χώρο για να τρέξει, φορτώνει γρήγορα με χαμηλή χρήση της CPU, αν και δεν υπάρχουν πολλά λειτουργικά extras, αλλά έχει όλα όσα χρειάζεται ένα πρόγραμμα περιήγησης στο Internet, ώστε να κάνει αυτά που πρέπει επικεντρωμένο σε ασφάλεια και ιδιωτικότητα.
Βέβαια τη λέξη ασφάλεια, μη την υπερεκτιμήσετε, καθώς (κυρίως μιλώντας για Windows), δεν θα κάνει τίποτα ενάντια σε δούρειους ίππους (trojan horses) και αυτό το λέω, επειδή η έκδοσή του για Windows είναι και portable, μπορώντας να το τρέξετε μέσω ενός usb-stick από οποιοδήποτε υπολογιστή Windows. Ακόμα, η κρυπτογραφημένη cache για περιήγηση στο Internet δεν θα βοηθήσει και πολύ, καθώς σε ορισμένες χώρες θεωρείται ποινικό αδίκημα η μη αποκάλυψη κωδικών για επιβολή του νομού.
Σαφώς και αυτά είναι κάπως ακραίες περιπτωσεις, εν' τούτοις καλό είναι να τα γνωρίζετε.

Εγκατάσταση του Dooble Web browser:

Όπως είπαμε, είναι διαθέσιμος για Linux, Windows, OSX και μπορείτε να τον κατεβάσετε από την ανάλογη σελίδα του:
DOWNLOAD
Για Ubuntu, Mint, Debian και παράγωγες διανομές, διαθέτει έτοιμο DEΒ πακέτο, οπότε, διπλό κλικ επάνω του μόλις κατέβει, προκειμένου να τον εγκαταστήσετε.
Για τους υπόλοιπους, θα κατεβάσετε το tar.gz (32b και 64b) αρχείο του και μόλις το αποσυμπιέσετε, θα βρείτε το εκτελέσιμό του που μπορείτε να το τρέξετε με διπλό κλικ επάνω του.
Σημειώστε πως θα τον βρείτε και στους διαχειριστές πακέτων των διανομών σας (Κέντρο Λογισμικού, Synaptic, Yum, Yast, SoftwareManager, κλπ), αν και μπορεί να μην είναι στην τελευταία του έκδοση:

dooble

>>> η ιστοσελίδα του Dooble browser.

  • Σχόλια

8 Comments:

  1. Εικόνα constantinos
    constantinosΝοε 05, 2013 01:41 ΠΜ

    Νομίζω αυτό (στο manjaro), όσο θυμαμαι, λυνόταν, με προσθήκη του gl3.h στο /home και με προσθήκη στο $PATh ή με την επιλογή: -I flag.

    Προφανώς είναι μλκ το gl3.h, το ξέρω, μα από την άλλη καλά κάνει και δεν το έχει ενσωματωμένο στον browser απ' ευθείας, καθώς θα έφερνε προβλήματα σε πολλούς.

    Τεσπά, μπορεί να λέω και εγώ μλκς.

  2. Εικόνα MinO
    MinOΝοε 05, 2013 17:25 ΜΜ

    [email protected]:~$.... Tι μου θυμίζει, τι μου θυμίζει...... αυτό το kerato... ?

  3. Εικόνα xxx
    xxx (χωρίς επαλήθευση)Νοε 04, 2013 16:01 ΜΜ

    να τονίσουμε ότι μιλάμε για ιδιωτικότητα και όχι ανωνυμία...

  4. Εικόνα OPanos

    Να με συγχωρεί η χάρη του προγραμματιστή, αλλά πως είναι δυνατόν να είναι εξάρτηση -και απαιτούμενη κιόλας- του mesa-libgl το οποίο έχει θέμα με τους catalyst -προηγούμενα μάλλον περιουσιακά- δεν καταλαβαίνω.
    Δηλαδή, για να έχω ιδιωτικότητα, θα πρέπει να μην έχω γραφικά εγώ που είμαι σε arch..

    Περίεργα πράματα...

    Εκτός και έχω κάνει τόσο τεράστια μαλακία και είμαι έτοιμος να ζητήσω ταπεινά συγνώμη και να υποστώ 20 βουρδουλιές σε δημόσια θέα.
    Κατά τα άλλα μια χαρά φαίνεται, και πολλά μπράβο για την προσπάθεια στον dev του. :)

  5. Εικόνα psyxroskianapodos
    psyxroskianapodos (χωρίς επαλήθευση)Νοε 05, 2013 01:11 ΠΜ

    Μάλλον δεν έχεις καταλάβει τί είναι το πακετο που ανέφερες, ή κάτι πάει πολύ στραβά με το open gl rendering στο arch, ή με τους drivers της ati, ή με την δική σου εγκατάσταση. Πρέπει να υπάρχει κάποιο implementation του OpenGL Api αλλιώς rendering γιόκ.

    [email protected]:~$ aptitude show libgl1-mesa-glx
    Package: libgl1-mesa-glx
    State: installed
    Automatically installed: yes
    Multi-Arch: same
    Version: 9.1.7-1
    Priority: optional
    Section: libs
    Maintainer: Debian X Strike Force
    Architecture: amd64
    Uncompressed Size: 421 k
    Depends: libc6 (>= 2.14), libdrm2 (>= 2.3.1), libglapi-mesa (= 9.1.7-1),
    libx11-6 (>= 2:1.4.99.1), libx11-xcb1, libxcb-dri2-0 (>= 1.8),
    libxcb-glx0 (>= 1.8), libxcb1, libxdamage1 (>= 1:1.1), libxext6,
    libxfixes3, libxxf86vm1
    PreDepends: multiarch-support
    Recommends: libgl1-mesa-dri (>= 7.2)
    Conflicts: libgl1, libgl1, libgl1-mesa-dri (= 2.17), libdrm-intel1 (>= 2.4.38), libdrm-nouveau2 (>=
    2.4.34), libdrm-radeon1 (>= 2.4.31), libdrm2 (>= 2.4.3), libexpat1 (>=
    2.0.1), libffi6 (>= 3.0.4), libgcc1 (>= 1:4.1.1), libllvm3.2,
    libstdc++6 (>= 4.6)
    PreDepends: multiarch-support
    Recommends: libtxc-dxtn0
    Suggests: libglide3
    Conflicts: xlibmesa-dri (

  6. Εικόνα OPanos

    Για να καταλάβω γιατί είναι και περασμένη η ώρα.
    Υποστηρίζεις πραγματικά πως ή έξοδος του pacman κατά την διαδικασία εγκατάστασης των catalyst ή των mesa αντίστοιχα, που αναφέρει πως catalyst και το πακέτο mesa-libgl παρουσιάζουν conflict, είναι σφάλμα και όχι πραγματικό στοιχείο?
    Μπορώ να σου δώσω το mail του pacman dev, να του το πεις (αν και είμαι σίγουρος πως είσαι έξυπνο παιδί και θα βρεις κάτι να πεις για να το παρακάμψεις)....

    Κοίτα, όταν μου παρουσιάζεις άσχετες εξόδους διαχειριστών πακέτων που ΟΥΔΕΜΙΑ σχέση έχουν με αυτό που είπα (πουθενά δεν φαίνεται να έχεις εγκατεστημένους τους catalyst ΜΑΖΙ με το mesa-libfgl) δεν μπορώ να σε αντικρούσω.

  7. Εικόνα psyxroskianapodos
    psyxroskianapodos (χωρίς επαλήθευση)Νοε 05, 2013 08:40 ΠΜ

    Ρε φίλε, και τον κλειστό οδηγό της AMD (fglrx) να έχεις, σίγουρα θα έχεις κάποιο άλλο implementation της libgl-mesa εγκατεστημένο. Αυτό προσπαθώ να σου πώ.
    Φυσικά υπάρχει conflict, ή τους ανοιχτούς drivers θα έχεις, ή τους κλειστούς.

  8. Εικόνα OPanos

    Α ναι?
    άκου λίγο τώρα εσύ...

    Ξεκινάς με το να μου λες πως κάτι δεν έχω καταλάβει και πως έχω θέμα εγώ ή η εγκατάστασή μου ή κάτι τρέχει με το arch γενικά και αόριστα έτσι για να πεις την παπαριά σου.
    Αμολάς και ένα paste από την έξοδο κονσόλας που είναι μια διανομή που ΟΥΔΕΜΙΑ σχέση έχει με την δική μου (ούτε καν παράγωγη δεν είναι).
    ΔΕΝ είναι μόνο το πακέτο mesa-libgl που παρέχει openGL..
    Αλίμονο να ήταν έτσι, δεν θα υπήρχαν κλειστοί οδηγοί και δεν θα είχαμε τα προβλήματα που έχουμε με το Gnu/Linux.

    Το opengl το παρέχουν ΚΑΙ οι κλειστοί με τα ανάλογα πακέτα, στην συγκεκριμένη περίπτωση για την ATI/AMD το παρέχουν το πακέτο catalyst-utils.

    Αφού λοιπόν συμφωνείς και ξέρεις πως ΔΕΝ είναι δυνατόν να είναι εγκατεστημένα δύο ΔΙΑΦΟΡΕΤΙΚΑ πακέτα στο ΙΔΙΟ σύστημα χωρίς να υπάρξει θέμα, τι πετάγεσαι σαν να μην πω τι και αμολάς ότι σου κατέβει στο κεφάλι?
    Άντε γιατί είμαι λίγο φτιαγμένος πρωί πρωί, μην την πληρώσεις εσύ.
    Όταν μιλάς ή σχολιάζεις δική μου δημοσίευση, θα το σκέφτεσαι ΤΡΙΠΛΑ ΠΡΙΝ πατήσεις το γαμημένο Submit Comment.

    Έξυπνο παιδί είσαι, καταλαβαίνεις το ύφος μου.
    ;)

Scroll to Top